/****************************************************************************
** Form interface generated from reading ui file 'halview.ui'
**
** Created: Mon Feb 13 16:30:19 2012
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef HALVIEW_H
#define HALVIEW_H

#include <qapplication.h>
#include <qmainwindow.h>
#include <qlineedit.h>
#include <qvariant.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qaction.h>
#include <qmenubar.h>
#include <qpopupmenu.h>
#include <qtoolbar.h>
#include <qtimer.h>

#include <stdio.h>
#include <stdlib.h> 
#include <stdint.h>   /* Standard types */
#include <string.h>   /* String function definitions */
#include <unistd.h>   /* UNIX standard function definitions */
#include <fcntl.h>    /* File control definitions */
#include <errno.h>    /* Error number definitions */
#include <termios.h>  /* POSIX terminal control definitions */

#include <hiredis.h>

class Halview : public QMainWindow
{
    Q_OBJECT

public:
    Halview( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~Halview();
    void extraSetup();
    
    redisContext *context;
    redisReply *reply;
    bool bAuto;
    char buff[256];
    
    QLabel *bitLabels[6];
    QLabel *s32Labels[6];
    QLabel *floatLabels[6];
            
    QTimer *timer;
    
    QLabel* label_bitpins;
    QLabel* label_s32pins;
    QLabel* label_floatpins;

    QLabel* label_bit_0;
    QLabel* label_bit_1;
    QLabel* label_bit_2;
    QLabel* label_bit_3;
    QLabel* label_bit_4;
    QLabel* label_bit_5;
    
    QLabel* label_s32_0;
    QLabel* label_s32_1;
    QLabel* label_s32_2;
    QLabel* label_s32_3;
    QLabel* label_s32_4; 
    QLabel* label_s32_5;
       
    QLabel* label_float_0;
    QLabel* label_float_1;
    QLabel* label_float_2;
    QLabel* label_float_3;
    QLabel* label_float_4;            
    QLabel* label_float_5;
    
    QButtonGroup* bg_Refresh;
    QRadioButton* rb_Auto;
    QRadioButton* rb_Manual;

    QPushButton* pb_Refresh;

    // these lineedits just used for notes
    QLineEdit* lineEdit1_2;
    QLineEdit* lineEdit1_3;
    QLineEdit* lineEdit1_4;
    QLineEdit* lineEdit1_5;
    QLineEdit* lineEdit1_6;
    QLineEdit* lineEdit1_2_2;
    QLineEdit* lineEdit1_3_2;
    QLineEdit* lineEdit1_4_2;
    QLineEdit* lineEdit1_5_2;
    QLineEdit* lineEdit1_6_2;
    QLineEdit* lineEdit1_5_2_2;
    QLineEdit* lineEdit1_6_2_2;
    QLineEdit* lineEdit1_3_2_2;
    QLineEdit* lineEdit1_4_2_2; 
    QLineEdit* lineEdit1;
    QLineEdit* lineEdit1_7;
    QLineEdit* lineEdit1_7_2;
    QLineEdit* lineEdit1_2_2_2;
    QPushButton* pb_FlushDataBase;
              
public slots:
    virtual void onClickedRefresh();
    virtual void onClickedManual();
    virtual void onClickedAuto();
    virtual void onBackgroundRefresh();
    virtual void onBackgroundRefreshCheck();
    virtual void onClickedFlushDataBase();
    
protected:

protected slots:
    virtual void languageChange();

};

#endif // HALVIEW_H
